function U = u2param (ma,mb,a,lambda,VXA,VXB,VTA,VTB)

global hbar;

lxa2 = hbar*lambda./(2*pi*sqrt(2*ma*VXA));
lta2 = hbar*lambda./(2*pi*sqrt(2*ma*VTA));
lxb2 = hbar*lambda./(2*pi*sqrt(2*mb*VXB));
ltb2 = hbar*lambda./(2*pi*sqrt(2*mb*VTB));

U = 2*hbar^2*a/sqrt(pi)*(ma+mb)/(ma*mb)./(lta2 + ltb2)./sqrt(lxa2 + lxb2);
